Docs
Search…
Windows & Docker Requirements

Supported Docker Desktop Versions

We are constantly improving our ZEN connector APEER on-site to make sure that it is compatible with the latest Docker Desktop versions for Windows and to leverage its latest optimisations. In very rare cases there might be breaking changes with the newest Docker Desktop version, which could lead to issues for the connector. Therefore, we recommend to wait with updating Docker Desktop until we have tested it and updated the list below. If you experience any issues please inform us and roll back to the Docker Desktop version mentioned below:
ZEN Version
Latest tested Docker Version
ZEN Blue (from 3.0 to 3.3)
3.1.0
ZEN Core (from 3.0 to 3.2)
3.1.0

Windows requirements and hardware recommendations

To use the APEER Modules (on-site) connector in ZEN your system needs to fulfill the following requirements:
  • Windows 10 64-bit: Pro, Enterprise, or Education (Windows Version > 1703; Windows Build > 15063)
  • Hyper-V and Containers Windows Features must be enabled
  • BIOS-level hardware virtualization support must be enabled
Important Note
When activating Hyper-V in Windows 10 the PC system as whole might get slightly “slower”, which can lead to longer processing times or to reduced acquisition performance. In order to avoid any possible issues it is recommend to run such workflows on a dedicated and powerful processing station independent from the actual image acquisition PC.
Hardware recommendation
  • ZEISS MidRange Workstation
  • 64GB RAM or more
  • (half of main memory is assigned to Docker in the Hyper-V case)
Last modified 3mo ago